 /* Websphere MQ Client - Connects and sends or receives messages  from WebSphere (IBM) Application Server
  * WebSphere is Copyright IBM 
    Copyright (C) 2012  David Welford-Costelloe (http://www.welford-costelloe.org)

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/
package com.ca.on.burlington.base.classes;

import java.io.Serializable;

/**
 * @author David Welford-Costelloe
 * 
 */
public class PropertiesClass implements Serializable {

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	private String hostName = null;
	private String channelName = null;
	private String requestQManager = null;
	private String requestQueueName = null;
	private String replyQManager = null;
	private String replyQueueName = null;
	private int portNum = 0;

	/**
	 * @return the hostName
	 */
	public String getHostName() {
		return hostName;
	}

	/**
	 * @param hostName
	 *            the hostName to set
	 */
	public void setHostName(String hostName) {
		this.hostName = hostName;
	}

	/**
	 * @return the channelName
	 */
	public String getChannelName() {
		return channelName;
	}

	/**
	 * @param channelName
	 *            the channelName to set
	 */
	public void setChannelName(String channelName) {
		this.channelName = channelName;
	}

	/**
	 * @return the requestQManager
	 */
	public String getRequestQManager() {
		return requestQManager;
	}

	/**
	 * @param requestQManager
	 *            the requestQManager to set
	 */
	public void setRequestQManager(String requestQManager) {
		this.requestQManager = requestQManager;
	}

	/**
	 * @return the requestQueueName
	 */
	public String getRequestQueueName() {
		return requestQueueName;
	}

	/**
	 * @param requestQueueName
	 *            the requestQueueName to set
	 */
	public void setRequestQueueName(String requestQueueName) {
		this.requestQueueName = requestQueueName;
	}

	/**
	 * @return the replyQManager
	 */
	public String getReplyQManager() {
		return replyQManager;
	}

	/**
	 * @param replyQManager
	 *            the replyQManager to set
	 */
	public void setReplyQManager(String replyQManager) {
		this.replyQManager = replyQManager;
	}

	/**
	 * @return the replyQueueName
	 */
	public String getReplyQueueName() {
		return replyQueueName;
	}

	/**
	 * @param replyQueueName
	 *            the replyQueueName to set
	 */
	public void setReplyQueueName(String replyQueueName) {
		this.replyQueueName = replyQueueName;
	}

	/**
	 * @return the portNum
	 */
	public int getPortNum() {
		return portNum;
	}

	/**
	 * @param portNum
	 *            the portNum to set
	 */
	public void setPortNum(int portNum) {
		this.portNum = portNum;
	}

}
